Skip to main content
POST
Enrich a single place synchronously

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

apiKey
string | null

Body

application/json
place_id
string
required

The customer-identifier for the place and retained as external_customer_id in the database. When not set, will automatically generate a UUID.

Example:

"place_nyc_123"

inputs
UniversalPlace · object
required

The place to enrich

Example:
attributes
string[] | null

List of attribute keys to enrich. See GET /{org_slug}/place_enrichment/attributes_internal for available keys and their required inputs. If both attribute_set and attributes are provided, attributes takes precedence.

Example:
attribute_set
enum<string> | null

Specifies the set of attributes to enrich

Available options:
open_closed,
core,
all
attributes_enrichments
Attributes Enrichments · object[] | null
refresh
boolean
default:false

If true, will force a refresh of the place even if it has already been enriched.

Response

Successfully enriched place data

place_id
string
required
status
string
required
job_metadata
JobMetadata · object
required
inputs
Inputs · object
required
outputs
object
required
reasoning
object
required
confidence_scores
JobConfidenceScores · object

Confidence scores for various attributes